certificat d 'identité à expiré???

christphe

Membre confirmé
28 Avril 2000
482
3
dans la cambrousse en Normandie
Bonjour

Quand je me connecte au site de ma banque par l' Imac de mon pere,la connection n'est pas securisée,et le message suivant apparait: "il est impossible d' etablir une connection securisée,un probleme existe avec le certificat de securité de ce site (le certificat d'identité à expiré à expiré).Doit on faire une mise a jour de ces certificats,et où?
Sur mon imac,ça marche, et au boulot aussi.
l'Imac est un 266mgh 2eme generation avec le mange cd,pas le tirroir,et mac os9.
merci
 

-anonyme-

Légende
26 Février 2001
66 286
2 670
<BLOCKQUOTE><font size="1" face="Verdana, Geneva">quote:</font><HR>Posté à l'origine par christphe:

le message suivant apparait: "il est impossible d' etablir une connection securisée,un probleme existe avec le certificat de securité de ce site (le certificat d'identité à expiré à expiré).Doit on faire une mise a jour de ces certificats,et où?
Sur mon imac,ça marche, et au boulot aussi.
<HR></BLOCKQUOTE>

Effectivement bizarre...

Ca peut arriver avec quelques vieilles versions de navigateur qui avaient des certificats qui ne passaient pas l'an 2000... (rien à voir avec le bug de l'an 2000, juste une date d'expiration...)

Il peut aussi arriver que ta banque ait passé à des certificats de 128 bits, ait supprimé pour raisons de sécurité les encryptages sur 40 ou 56 bits, et que ton navigateur se retrouve coincé s'il s'agit d'une version française un peu ancienne (qui ne gère pas le cryptage fort sur 128 bits).

Je suppose que tu utilises Internet Explorer. Vérifie quand même que les autorités de certification n'ont pas été modifiées par inadvertance (Préférences, Navigateur Web, Sécurité, Certificats).

Sinon, essaie avec Netscape, et cliques sur le cadenas en bas de la fenêtre... Netscape est beaucoup plus bavard, et te permettra de voir comment la négociation de sécurité s'est faite.
 

christphe

Membre confirmé
28 Avril 2000
482
3
dans la cambrousse en Normandie
Salut barijaona
J'ai fait les verifications dans interet explorer,tout est ok.
par contre, j'ai internet explorer 4,5.
Tu penses que les certificats sont associés à I explorer?
Donc si je passe a la version 5 par exemple,sa devrait s'arranger.
Je me suis connecté a ma banque par netscape et il n'y a pas de problème la connection parait securisé. (cadenas du bas verouillé)
Par contre ma banque a bien des certificats en 128 bits
Salut et merci


 

-anonyme-

Légende
26 Février 2001
66 286
2 670
Sans en être sûr, je crois effectivement que IE 4.5, tel qu'il était livré à l'origine en version française, ne supporte que 56 bits... car il était sorti avant la libéralisation de la législation US en matière d'exportation de logiciels.

Installer IE 5 devrait résoudre ton problème... je crois que même IE 4.5 en profitera, car l'encryptage se trouve dans une des bibliothèques partagées.